import { defineComponent, render } from 'vue'
import { RouterView } from 'vue-router'
import UserMenu from './components/user-menu'
import Users from './components/users'

export default defineComponent({
  name: 'user-info',
  render() {
    return (
      <div class="w-[1200px] mt-[100px] mb-14 min-h-full m-auto text-[#333] flex">
        <div class="w-56 mr-4">
          <Users class="mb-3 user-shadow" />
          <UserMenu class="user-shadow" />
        </div>
        <div class="w-[960px] bg-white rounded-[6px] user-shadow">
          <RouterView></RouterView>
        </div>
      </div>
    )
  }
})
