import { ElTabPane, ElTabs } from 'element-plus'
import { defineComponent, render } from 'vue'
import styles from './index.module.less'
import List from './list'

export default defineComponent({
  name: 'my-follow',
  data() {
    return {
      active: 'MYFOLLOW'
    }
  },
  render() {
    return (
      <div class={styles.myFollow}>
        <ElTabs v-model={this.active}>
          <ElTabPane label="我关注的老师" name="MYFOLLOW">
            <List />
          </ElTabPane>
        </ElTabs>
      </div>
    )
  }
})
